//Auto-generated by kalyptus. DO NOT EDIT.
package org.trinitydesktop.koala;

import org.trinitydesktop.qt.Qt;
import org.trinitydesktop.qt.QtSupport;

/**

 The <code>CSSStyleDeclaration</code> interface represents a
 single <a href="http://www.w3.org/TR/REC-CSS2/syndata.html#block">
 CSS declaration block </a> . This interface may be used to
 determine the style properties currently set in a block or to set
 style properties explicitly within the block.
  While an implementation may not recognize all CSS properties
 within a CSS declaration block, it is expected to provide access to
 all specified properties through the <code>CSSStyleDeclaration</code>
 interface. Furthermore, implementations that support a
 specific level of CSS should correctly handle <a
 href="http://www.w3.org/TR/REC-CSS2/about.html#shorthand"> CSS
 shorthand </a> properties for that level. For a further discussion
 of shorthand properties, see the <code>CSS2Properties</code>
 interface.
 		@short    The <code>CSSStyleDeclaration</code> interface represents a  single <a href="http://www.

*/
public class CSSStyleDeclaration implements QtSupport {
	private long _qt;
	private boolean _allocatedInJavaWorld = true;
	protected CSSStyleDeclaration(Class dummy){}

	public CSSStyleDeclaration() {
		newCSSStyleDeclaration();
	}
	private native void newCSSStyleDeclaration();
	public CSSStyleDeclaration(CSSStyleDeclaration other) {
		newCSSStyleDeclaration(other);
	}
	private native void newCSSStyleDeclaration(CSSStyleDeclaration other);
	// DOM::CSSStyleDeclaration* CSSStyleDeclaration(DOM::CSSStyleDeclarationImpl* arg1); >>>> NOT CONVERTED
	/**
		 The parsable textual representation of the declaration block
		 (including the surrounding curly braces). Setting this
		 attribute will result in the parsing of the new value and
		 resetting of the properties in the declaration block.
			     		@short    The parsable textual representation of the declaration block  (including the surrounding curly braces).
	*/
	public native String cssText();
	/**
		 see cssText
			     		@short    see cssText
	*/
	public native void setCssText(String arg1);
	/**
		 The number of properties that have been explicitly set in this
		 declaration block.
			     		@short    The number of properties that have been explicitly set in this  declaration block.
	*/
	public native long length();
	/**
		 The CSS rule that contains this declaration block.
			     		@short    The CSS rule that contains this declaration block.
	*/
	public native CSSRule parentRule();
	/**
		 Used to retrieve the value of a CSS property if it has been
		 explicitly set within this declaration block.
			@param propertyName The name of the CSS property. See the <a
		 href="http://www.w3.org/TR/REC-CSS2/propidx.html"> CSS property
		 index </a> .
			     		@return Returns the value of the property if it has been
 explicitly set for this declaration block. Returns the empty
 string if the property has not been set.

		@short    Used to retrieve the value of a CSS property if it has been  explicitly set within this declaration block.
	*/
	public native String getPropertyValue(String propertyName);
	/**
		 Used to retrieve the object representation of the value of a
		 CSS property if it has been explicitly set within this
		 declaration block. This method returns null if the property is
		 a <a href="http://www.w3.org/TR/REC-CSS2/about.html#shorthand">
		 shorthand </a> property. Shorthand property values can only be
		 accessed and modified as strings, using the
		 <code>getPropertyValue</code> and <code>setProperty</code>
		 methods.
			@param propertyName The name of the CSS property. See the <a
		 href="http://www.w3.org/TR/REC-CSS2/propidx.html"> CSS property
		 index </a> .
			     		@return Returns the value of the property if it has been
 explicitly set for this declaration block. Returns the
 <code>null</code> if the property has not been set.

		@short    Used to retrieve the object representation of the value of a  CSS property if it has been explicitly set within this  declaration block.
	*/
	public native CSSValue getPropertyCSSValue(String propertyName);
	/**
		 Used to remove a CSS property if it has been explicitly set
		 within this declaration block.
			@param propertyName The name of the CSS property. See the <a
		 href="http://www.w3.org/TR/REC-CSS2/propidx.html"> CSS property
		 index </a> .
			     		@return Returns the value of the property if it has been
 explicitly set for this declaration block. Returns the empty
 string if the property has not been set or the property name
 does not correspond to a valid CSS2 property.

		@short    Used to remove a CSS property if it has been explicitly set  within this declaration block.
	*/
	public native String removeProperty(String propertyName);
	/**
		 Used to retrieve the priority of a CSS property (e.g. the
		 <code>"important"</code> qualifier) if the property has been
		 explicitly set in this declaration block.
			@param propertyName The name of the CSS property. See the <a
		 href="http://www.w3.org/TR/REC-CSS2/propidx.html"> CSS property
		 index </a> .
			     		@return A string representing the priority (e.g.
 <code>"important"</code> ) if one exists. The empty string if none
 exists.

		@short    Used to retrieve the priority of a CSS property (e.
	*/
	public native String getPropertyPriority(String propertyName);
	/**
		 Used to set a property value and priority within this
		 declaration block.
			@param propertyName The name of the CSS property. See the <a
		 href="http://www.w3.org/TR/REC-CSS2/propidx.html"> CSS property
		 index </a> .
			@param value The new value of the property.
			@param priority The new priority of the property (e.g.
		 <code>"important"</code> ).
			     		@short    Used to set a property value and priority within this  declaration block.
	*/
	public native void setProperty(String propertyName, String value, String priority);
	/**
		 Used to retrieve the properties that have been explicitly set
		 in this declaration block. The order of the properties
		 retrieved using this method does not have to be the order in
		 which they were set. This method can be used to iterate over
		 all properties in this declaration block.
			@param index Index of the property name to retrieve.
			     		@return The name of the property at this ordinal position. The
 empty string if no property exists at this position.

		@short    Used to retrieve the properties that have been explicitly set  in this declaration block.
	*/
	public native String item(long index);
	/**
			 not part of the DOM
		     		@short
	*/
	// DOM::CSSStyleDeclarationImpl* handle(); >>>> NOT CONVERTED
	public native boolean isNull();
}
