//Auto-generated by kalyptus. DO NOT EDIT.
package org.trinitydesktop.koala;

import org.trinitydesktop.qt.Qt;
import org.trinitydesktop.qt.TQMetaObject;
import org.trinitydesktop.qt.QtSupport;
import org.trinitydesktop.qt.TQWidget;

/**

 The KKeyDialog class is used for configuring dictionaries of key/action
 associations for TDEActionCollection, TDEAccel, and TDEGlobalAccel. It uses the KKeyChooser widget
 and offers buttons to set all keys to defaults and invoke on-line help.
 Several static methods are supplied which provide the most convenient interface
 to the dialog. The most common and most encouraged use is with TDEActionCollection.
 <pre>
 KKeyDialog.configure( actionCollection() );
 </pre>
		@author Nicolas Hadacek <hadacek@via.ecp.fr>

		@short Dialog for configuration of TDEActionCollection, TDEAccel, and TDEGlobalAccel.

*/
public class KKeyDialog extends KDialogBase  {
	protected KKeyDialog(Class dummy){super((Class) null);}
	public native TQMetaObject metaObject();
	public native String className();
	/**
		 Constructs a KKeyDialog called <code>name</code> as a child of <code>parent.</code>
		 Set <code>bAllowLetterShortcuts</code> to false if unmodified alphanumeric
		 keys ('A', '1', etc.) are not permissible shortcuts.
			 		@short    Constructs a KKeyDialog called <code>name</code> as a child of <code>parent.</code>
	*/
	public KKeyDialog(boolean bAllowLetterShortcuts, TQWidget parent, String name) {
		super((Class) null);
		newKKeyDialog(bAllowLetterShortcuts,parent,name);
	}
	private native void newKKeyDialog(boolean bAllowLetterShortcuts, TQWidget parent, String name);
	public KKeyDialog(boolean bAllowLetterShortcuts, TQWidget parent) {
		super((Class) null);
		newKKeyDialog(bAllowLetterShortcuts,parent);
	}
	private native void newKKeyDialog(boolean bAllowLetterShortcuts, TQWidget parent);
	public KKeyDialog(boolean bAllowLetterShortcuts) {
		super((Class) null);
		newKKeyDialog(bAllowLetterShortcuts);
	}
	private native void newKKeyDialog(boolean bAllowLetterShortcuts);
	public KKeyDialog() {
		super((Class) null);
		newKKeyDialog();
	}
	private native void newKKeyDialog();
	/**
		 Insert an action collection, i.e. add all its actions to the ones
		 displayed by the dialog.
		 This method can be useful in applications following the document/view
		 design, with actions in both the document and the view.
		 Simply call insert with the action collections of each one in turn.
				@return true :)

		@short    Insert an action collection, i.
	*/
	public native boolean insert(TDEActionCollection arg1);
	/**
		 Insert an action collection, i.e. add all its actions to the ones
		 displayed by the dialog.
		 This method can be useful in applications following the document/view
		 design, with actions in both the document and the view.
		 Simply call insert with the action collections of each one in turn.
			@param title the title associated with the collection (if null, the
		 TDEAboutData.progName() of the collection's instance is used)
				@return true :)

		@short    Insert an action collection, i.
	*/
	public native boolean insert(TDEActionCollection arg1, String title);
	/**
		 Run the dialog and call commitChanges() if <code>bSaveSettings</code>
		 is true.
			 		@short    Run the dialog and call commitChanges() if <code>bSaveSettings</code>  is true.
	*/
	public native boolean configure(boolean bSaveSettings);
	public native boolean configure();
	/**
		 Commit key setting changes so that changed settings actually become active.
		 This method is implicitly called from configure(boolean) if
		 <code>bSaveSettings</code> is true.
			 		@short    Commit key setting changes so that changed settings actually become active.
	*/
	public native void commitChanges();
	/**
		 Pops up a modal dialog for configuring key settings. The new
		 shortcut settings will be active if the user presses OK.  If
		 <code>bSaveSettings</code> if true, the settings will also be saved back to
		 the uirc file which they were intially read from.
				@return Accept if the dialog was closed with OK, Reject otherwise.

		@short    Pops up a modal dialog for configuring key settings.
	*/
	public static native int configure(TDEActionCollection coll, TQWidget parent, boolean bSaveSettings);
	public static native int configure(TDEActionCollection coll, TQWidget parent);
	public static native int configure(TDEActionCollection coll);
	/**
		 This is an overloaded member function, provided for convenience.
		 It behaves essentially like the above function, except that settings
		 are saved to a .rc file using TDEConfig.
			 		@short    This is an overloaded member function, provided for convenience.
	*/
	public static native int configure(TDEAccel keys, TQWidget parent, boolean bSaveSettings);
	public static native int configure(TDEAccel keys, TQWidget parent);
	public static native int configure(TDEAccel keys);
	/**
		 This is an overloaded member function, provided for convenience.
		 It behaves essentially like the above function.
			 		@short    This is an overloaded member function, provided for convenience.
	*/
	public static native int configure(TDEGlobalAccel keys, TQWidget parent, boolean bSaveSettings);
	public static native int configure(TDEGlobalAccel keys, TQWidget parent);
	public static native int configure(TDEGlobalAccel keys);
	/**
		 This is an overloaded member function, provided for convenience.
		 It behaves essentially like the above function.
			@param coll the TDEActionCollection to configure
			@param bAllowLetterShortcuts Set to false if unmodified alphanumeric
		  keys ('A', '1', etc.) are not permissible shortcuts.
			@param parent the parent widget to attach to
			@param bSaveSettings if true, the settings will also be saved back to
		 the uirc file which they were intially read from.
			 		@short    This is an overloaded member function, provided for convenience.
	*/
	public static native int configure(TDEActionCollection coll, boolean bAllowLetterShortcuts, TQWidget parent, boolean bSaveSettings);
	public static native int configure(TDEActionCollection coll, boolean bAllowLetterShortcuts, TQWidget parent);
	public static native int configure(TDEActionCollection coll, boolean bAllowLetterShortcuts);
	/**
		 This is an overloaded member function, provided for convenience.
		 It behaves essentially like the above function.
				@short    This is an overloaded member function, provided for convenience.
	*/
	public static native int configure(TDEAccel keys, boolean bAllowLetterShortcuts, TQWidget parent, boolean bSaveSettings);
	public static native int configure(TDEAccel keys, boolean bAllowLetterShortcuts, TQWidget parent);
	public static native int configure(TDEAccel keys, boolean bAllowLetterShortcuts);
	/**
		 This is an overloaded member function, provided for convenience.
		 It behaves essentially like the above function.
				@short    This is an overloaded member function, provided for convenience.
	*/
	public static native int configure(TDEGlobalAccel keys, boolean bAllowLetterShortcuts, TQWidget parent, boolean bSaveSettings);
	public static native int configure(TDEGlobalAccel keys, boolean bAllowLetterShortcuts, TQWidget parent);
	public static native int configure(TDEGlobalAccel keys, boolean bAllowLetterShortcuts);
	/** Deletes the wrapped C++ instance */
	protected native void finalize() throws InternalError;
	/** Delete the wrapped C++ instance ahead of finalize() */
	public native void dispose();
	/** Has the wrapped C++ instance been deleted? */
	public native boolean isDisposed();
}
