//Auto-generated by kalyptus. DO NOT EDIT.
package org.trinitydesktop.koala;

import org.trinitydesktop.qt.Qt;
import org.trinitydesktop.qt.QtSupport;

/**

 Introduced in DOM Level 2
 The MouseEvent interface provides specific contextual information associated
 with Mouse events.
 The detail attribute inherited from UIEvent indicates the number of times a
 mouse button has been pressed and released over the same screen location
 during a user action. The attribute value is 1 when the user begins this
 action and increments by 1 for each full sequence of pressing and releasing.
 If the user moves the mouse between the mousedown and mouseup the value will
 be set to 0, indicating that no click is occurring.
 In the case of nested elements mouse events are always targeted at the most
 deeply nested element. Ancestors of the targeted element may use bubbling to
 obtain notification of mouse events which occur within its descendent elements.
 		@short    Introduced in DOM Level 2

*/
public class MouseEvent extends UIEvent  {
	protected MouseEvent(Class dummy){super((Class) null);}
	/**
		 The horizontal coordinate at which the event occurred relative to the
		 origin of the screen coordinate system.
			     		@short    The horizontal coordinate at which the event occurred relative to the  origin of the screen coordinate system.
	*/
	public native long screenX();
	/**
		 The vertical coordinate at which the event occurred relative to the
		 origin of the screen coordinate system.
			     		@short    The vertical coordinate at which the event occurred relative to the  origin of the screen coordinate system.
	*/
	public native long screenY();
	/**
		 The horizontal coordinate at which the event occurred relative to the
		 DOM implementation's client area.
			     		@short    The horizontal coordinate at which the event occurred relative to the  DOM implementation's client area.
	*/
	public native long clientX();
	/**
		 The vertical coordinate at which the event occurred relative to the DOM
		 implementation's client area.
			     		@short    The vertical coordinate at which the event occurred relative to the DOM  implementation's client area.
	*/
	public native long clientY();
	/**
		 Used to indicate whether the 'ctrl' key was depressed during the firing
		 of the event.
		     		@short    Used to indicate whether the 'ctrl' key was depressed during the firing  of the event.
	*/
	public native boolean ctrlKey();
	/**
		 Used to indicate whether the 'shift' key was depressed during the firing
		 of the event.
			     		@short    Used to indicate whether the 'shift' key was depressed during the firing  of the event.
	*/
	public native boolean shiftKey();
	/**
		 Used to indicate whether the 'alt' key was depressed during the firing
		 of the event. On some platforms this key may map to an alternative key
		 name.
			     		@short    Used to indicate whether the 'alt' key was depressed during the firing  of the event.
	*/
	public native boolean altKey();
	/**
		 Used to indicate whether the 'meta' key was depressed during the firing
		 of the event. On some platforms this key may map to an alternative key
		 name.
			     		@short    Used to indicate whether the 'meta' key was depressed during the firing  of the event.
	*/
	public native boolean metaKey();
	/**
		 During mouse events caused by the depression or release of a mouse
		 button, button is used to indicate which mouse button changed state. The
		 values for button range from zero to indicate the left button of the
		 mouse, one to indicate the middle button if present, and two to indicate
		 the right button. For mice configured for left handed use in which the
		 button actions are reversed the values are instead read from right to
		 left.
			     		@short    During mouse events caused by the depression or release of a mouse  button, button is used to indicate which mouse button changed state.
	*/
	public native short button();
	/**
		 Used to identify a secondary EventTarget related to a UI event.
		 Currently this attribute is used with the mouseover event to indicate
		 the EventTarget which the pointing device exited and with the mouseout
		 event to indicate the EventTarget which the pointing device entered.
			     		@short    Used to identify a secondary EventTarget related to a UI event.
	*/
	public native Node relatedTarget();
	/**
		 The initMouseEvent method is used to initialize the value of a
		 MouseEvent created through the DocumentEvent interface. This method may
		 only be called before the MouseEvent has been dispatched via the
		 dispatchEvent method, though it may be called multiple times during that
		 phase if necessary. If called multiple times, the final invocation takes
		 precedence. Parameters
			@param typeArg Specifies the event type.
			@param canBubbleArg Specifies whether or not the event can bubble.
			@param cancelableArg Specifies whether or not the event's default action can be prevented.
			@param viewArg Specifies the Event's AbstractView.
			@param detailArg Specifies the Event's mouse click count.
			@param screenXArg Specifies the Event's screen x coordinate
			@param screenYArg Specifies the Event's screen y coordinate
			@param clientXArg Specifies the Event's client x coordinate
			@param clientYArg Specifies the Event's client y coordinate
			@param ctrlKeyArg Specifies whether or not control key was depressed during the Event.
			@param altKeyArg Specifies whether or not alt key was depressed during the Event.
			@param shiftKeyArg Specifies whether or not shift key was depressed during the Event.
			@param metaKeyArg Specifies whether or not meta key was depressed during the Event.
			@param buttonArg Specifies the Event's mouse button.
			@param relatedTargetArg Specifies the Event's related EventTarget.
			     		@short    The initMouseEvent method is used to initialize the value of a  MouseEvent created through the DocumentEvent interface.
	*/
	public native void initMouseEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, long detailArg, long screenXArg, long screenYArg, long clientXArg, long clientYArg, boolean ctrlKeyArg, boolean altKeyArg, boolean shiftKeyArg, boolean metaKeyArg, short buttonArg, Node relatedTargetArg);
}
