//Auto-generated by kalyptus. DO NOT EDIT.
package org.trinitydesktop.koala;

import org.trinitydesktop.qt.Qt;
import org.trinitydesktop.qt.TQRect;
import org.trinitydesktop.qt.QtSupport;
import org.trinitydesktop.qt.TQDataStream;
import org.trinitydesktop.qt.TQRegion;
import org.trinitydesktop.qt.TQPixmap;
import java.util.Calendar;
import org.trinitydesktop.qt.TQPainter;
import org.trinitydesktop.qt.TQBitmap;
import org.trinitydesktop.qt.TQIconSet;
import org.trinitydesktop.qt.TQBrush;
import org.trinitydesktop.qt.TQColorGroup;

/**

 Namespace for general TDE functions.
 		@short    Namespace for general TDE functions.

*/
public class TDE {
	/**
		 Returns the encoded number of TDE's version, see the TDE_VERSION macro.
		 In contrary to that macro this function returns the number of the actully
		 installed TDE version, not the number of the TDE version that was
		 installed when the program was compiled.
				@return the version number, encoded in a single uint

		@short    Returns the encoded number of TDE's version, see the TDE_VERSION macro.
	*/
	public static native int version();
	/**
		 Returns the major number of TDE's version, e.g.
		 3 for TDE 3.1.2.
				@return the major version number

		@short    Returns the major number of TDE's version, e.
	*/
	public static native int versionMajor();
	/**
		 Returns the minor number of TDE's version, e.g.
		 1 for TDE 3.1.2.
				@return the minor version number

		@short    Returns the minor number of TDE's version, e.
	*/
	public static native int versionMinor();
	/**
		 Returns the release of TDE's version, e.g.
		 2 for TDE 3.1.2.
				@return the release number

		@short    Returns the release of TDE's version, e.
	*/
	public static native int versionRelease();
	/**
		 Returns the TDE version as string, e.g. "3.1.2".
				@return the TDE version. You can keep the string forever

		@short    Returns the TDE version as string, e.
	*/
	public static native String versionString();
	// int KSSLPemCallback(char* arg1,int arg2,int arg3,void* arg4); >>>> NOT CONVERTED
	/**
		 {@link TDELocale}
		  i18n is the function that does everything you need to translate
		  a string. You just wrap around every user visible string a i18n
		  call to get a String with the string in the user's preferred
		  language.
			  The argument must be an UTF-8 encoded string (If you only use
		  characters that are in US-ASCII, you're on the safe side. But
		  for e.g. German umlauts or French accents should be recoded to
		  UTF-8)
				@short    {@link TDELocale}   i18n is the function that does everything you need to translate   a string.
	*/
	public static native String i18n(String text);
	/**
		 {@link TDELocale}
		  If the string is too ambiguous to be translated well to a non-english
		  language, use this form of i18n to separate lookup string and english
		  text.
				@short    {@link TDELocale}   If the string is too ambiguous to be translated well to a non-english   language, use this form of i18n to separate lookup string and english   text.
		@see #translate
	*/
	public static native String i18n(String comment, String text);
	/**
		 {@link TDELocale}
		  If you want to handle plural forms, use this form of i18n.
			@param singular the singular form of the word, for example "file".
			@param plural the plural form of the word. Must contain a "%n" that will
		                be replaced by the number <code>n</code>, for example "%n files"
			@param n the number
				@return the correct singular or plural for the selected language,
          depending on n

		@short    {@link TDELocale}   If you want to handle plural forms, use this form of i18n.
		@see #translate
	*/
	public static native String i18n(String singular, String plural, long n);
	/**
		 {@link TDELocale}
		 Qt3's uic generates i18n( "msg", "comment" ) calls which conflict
		 with our i18n method. We use uic -tr tr2i18n to redirect
		 to the right i18n() function
				@short    {@link TDELocale}  Qt3's uic generates i18n( "msg", "comment" ) calls which conflict  with our i18n method.
	*/
	public static native String tr2i18n(String message, String arg2);
	public static native String tr2i18n(String message);
	public static native TQDataStream op_write(TQDataStream s, KFileItem a);
	public static native TQDataStream op_read(TQDataStream s, KFileItem a);
	public static native int pageNameToPageSize(String name);
	public static native String pageSizeToPageName(int s);
	/**
		 {@link KURL}
		 Compares URLs. They are parsed, split and compared.
		 Two malformed URLs with the same string representation
		 are nevertheless considered to be unequal.
		 That means no malformed URL equals anything else.
		 		@short    {@link KURL}  Compares URLs.
	*/
	public static native boolean urlcmp(String _url1, String _url2);
	/**
		 {@link KURL}
		 Compares URLs. They are parsed, split and compared.
		 Two malformed URLs with the same string representation
		 are nevertheless considered to be unequal.
		 That means no malformed URL equals anything else.
			@param _url1 A reference URL
			@param _url2 A URL that will be compared with the reference URL
			@param _ignore_trailing Described in KURL.cmp
			@param _ignore_ref If true, disables comparison of HTML-style references.
		 		@short    {@link KURL}  Compares URLs.
	*/
	public static native boolean urlcmp(String _url1, String _url2, boolean _ignore_trailing, boolean _ignore_ref);
	public static native TQDataStream op_write(TQDataStream s, KURL a);
	public static native TQDataStream op_read(TQDataStream s, KURL a);
	/**
		 Locale-independent tqstricmp. Use this for comparing ascii keywords
		 in a case-insensitive way.
		 tqstricmp fails with e.g. the Turkish locale where 'I'.lower() != 'i'
				@short    Locale-independent tqstricmp.
	*/
	public static native int kasciistricmp(String str1, String str2);
	public static native TQDataStream op_write(TQDataStream s, KSSLCertificate r);
	public static native TQDataStream op_read(TQDataStream s, KSSLCertificate r);
	public static native int op_equals(KSSLCertificate x, KSSLCertificate y);
	public static native int op_not_equals(KSSLCertificate x, KSSLCertificate y);
	// TQDataStream& op_read(TQDataStream& arg1,KProtocolInfo::ExtraField& arg2); >>>> NOT CONVERTED
	// TQDataStream& op_write(TQDataStream& arg1,const KProtocolInfo::ExtraField& arg2); >>>> NOT CONVERTED
	/**
		 {@link TDEGlobal}
		 Check, if a file may be accessed in a given mode.
		 This is a wrapper around the access() system call.
		 checkAccess() calls access() with the given parameters.
		 If this is OK, checkAccess() returns true. If not, and W_OK
		 is part of mode, it is checked if there is write access to
		 the directory. If yes, checkAccess() returns true.
		 In all other cases checkAccess() returns false.
			 Other than access() this function EXPLICITLY ignores non-existant
		 files if checking for write access.
			@param pathname The full path of the file you want to test
			@param mode The access mode, as in the access() system call.
				@return Whether the access is allowed, true = Access allowed

		@short    {@link TDEGlobal}  Check, if a file may be accessed in a given mode.
	*/
	public static native boolean checkAccess(String pathname, int mode);
	public static native TQDataStream op_write(TQDataStream s, KSSLCertDlgRet r);
	public static native TQDataStream op_read(TQDataStream s, KSSLCertDlgRet r);
	public static native TQDataStream op_write(TQDataStream str, boolean b);
	public static native TQDataStream op_read(TQDataStream str, boolean b);
	public static native TQDataStream op_write(TQDataStream str, long ll);
	// TQDataStream& op_read(TQDataStream& arg1,long long int& arg2); >>>> NOT CONVERTED
	// TQDataStream& op_read(TQDataStream& arg1,unsigned long long int& arg2); >>>> NOT CONVERTED
	/**
		  Convert an ASN1 UTCTIME value to a string.  Uses TDELocale settings.
			@param tm the OpenSSL ASN1_UTCTIME pointer
				@return the date formatted in a String

		@short     Convert an ASN1 UTCTIME value to a string.
		@see ASN1_UTCTIME_QDateTime
	*/
	// TQString ASN1_UTCTIME_QString(ASN1_UTCTIME* arg1); >>>> NOT CONVERTED
	/**
		  Convert an ASN1 UTCTIME value to a Calendar.  Uses TDELocale settings.
			@param tm the OpenSSL ASN1_UTCTIME pointer
			@param isGmt set to 1 if the date is set to GMT
				@return the date formatted in a TQDateTime

		@short     Convert an ASN1 UTCTIME value to a TQDateTime.
	*/
	// TQDateTime ASN1_UTCTIME_QDateTime(ASN1_UTCTIME* arg1,int* arg2); >>>> NOT CONVERTED
	/**
		  Convert an ASN1 INTEGER value to a string.
			@param aint the OpenSSL ASN1_INTEGER pointer
				@return the number formatted in a String

		@short     Convert an ASN1 INTEGER value to a string.
	*/
	// TQString ASN1_INTEGER_QString(ASN1_INTEGER* arg1); >>>> NOT CONVERTED
	/**
		 {@link TDEIconLoader}
		 Load a desktop icon.
		 		@short    {@link TDEIconLoader}  Load a desktop icon.
	*/
	public static native TQPixmap DesktopIcon(String name, int size, int state, TDEInstanceInterface instance);
	public static native TQPixmap DesktopIcon(String name, int size, int state);
	public static native TQPixmap DesktopIcon(String name, int size);
	public static native TQPixmap DesktopIcon(String name);
	/**
		 {@link TDEIconLoader}
		 Load a desktop icon.
		 		@short    {@link TDEIconLoader}  Load a desktop icon.
	*/
	public static native TQPixmap DesktopIcon(String name, TDEInstanceInterface instance);
	/**
		 {@link TDEIconLoader}
		 Load a desktop icon, and apply the necessary effects to get an IconSet.
		 		@short    {@link TDEIconLoader}  Load a desktop icon, and apply the necessary effects to get an IconSet.
	*/
	public static native TQIconSet DesktopIconSet(String name, int size, TDEInstanceInterface instance);
	public static native TQIconSet DesktopIconSet(String name, int size);
	public static native TQIconSet DesktopIconSet(String name);
	/**
		 {@link TDEIconLoader}
		 Load a toolbar icon.
		 		@short    {@link TDEIconLoader}  Load a toolbar icon.
	*/
	public static native TQPixmap BarIcon(String name, int size, int state, TDEInstanceInterface instance);
	public static native TQPixmap BarIcon(String name, int size, int state);
	public static native TQPixmap BarIcon(String name, int size);
	public static native TQPixmap BarIcon(String name);
	/**
		 {@link TDEIconLoader}
		 Load a toolbar icon.
		 		@short    {@link TDEIconLoader}  Load a toolbar icon.
	*/
	public static native TQPixmap BarIcon(String name, TDEInstanceInterface instance);
	/**
		 {@link TDEIconLoader}
		 Load a toolbar icon, and apply the necessary effects to get an IconSet.
		 		@short    {@link TDEIconLoader}  Load a toolbar icon, and apply the necessary effects to get an IconSet.
	*/
	public static native TQIconSet BarIconSet(String name, int size, TDEInstanceInterface instance);
	public static native TQIconSet BarIconSet(String name, int size);
	public static native TQIconSet BarIconSet(String name);
	/**
		 {@link TDEIconLoader}
		 Load a small icon.
		 		@short    {@link TDEIconLoader}  Load a small icon.
	*/
	public static native TQPixmap SmallIcon(String name, int size, int state, TDEInstanceInterface instance);
	public static native TQPixmap SmallIcon(String name, int size, int state);
	public static native TQPixmap SmallIcon(String name, int size);
	public static native TQPixmap SmallIcon(String name);
	/**
		 {@link TDEIconLoader}
		 Load a small icon.
		 		@short    {@link TDEIconLoader}  Load a small icon.
	*/
	public static native TQPixmap SmallIcon(String name, TDEInstanceInterface instance);
	/**
		 {@link TDEIconLoader}
		 Load a small icon, and apply the necessary effects to get an IconSet.
		 		@short    {@link TDEIconLoader}  Load a small icon, and apply the necessary effects to get an IconSet.
	*/
	public static native TQIconSet SmallIconSet(String name, int size, TDEInstanceInterface instance);
	public static native TQIconSet SmallIconSet(String name, int size);
	public static native TQIconSet SmallIconSet(String name);
	/**
		 {@link TDEIconLoader}
		 Load a main toolbar icon.
		 		@short    {@link TDEIconLoader}  Load a main toolbar icon.
	*/
	public static native TQPixmap MainBarIcon(String name, int size, int state, TDEInstanceInterface instance);
	public static native TQPixmap MainBarIcon(String name, int size, int state);
	public static native TQPixmap MainBarIcon(String name, int size);
	public static native TQPixmap MainBarIcon(String name);
	/**
		 {@link TDEIconLoader}
		 Load a main toolbar icon.
		 		@short    {@link TDEIconLoader}  Load a main toolbar icon.
	*/
	public static native TQPixmap MainBarIcon(String name, TDEInstanceInterface instance);
	/**
		 {@link TDEIconLoader}
		 Load a main toolbar icon, and apply the effects to get an IconSet.
		 		@short    {@link TDEIconLoader}  Load a main toolbar icon, and apply the effects to get an IconSet.
	*/
	public static native TQIconSet MainBarIconSet(String name, int size, TDEInstanceInterface instance);
	public static native TQIconSet MainBarIconSet(String name, int size);
	public static native TQIconSet MainBarIconSet(String name);
	/**
		 {@link TDEIconLoader}
		 Load a user icon. User icons are searched in $appdir/pics.
		 		@short    {@link TDEIconLoader}  Load a user icon.
	*/
	public static native TQPixmap UserIcon(String name, int state, TDEInstanceInterface instance);
	public static native TQPixmap UserIcon(String name, int state);
	public static native TQPixmap UserIcon(String name);
	/**
		 {@link TDEIconLoader}
		 Load a user icon. User icons are searched in $appdir/pics.
		 		@short    {@link TDEIconLoader}  Load a user icon.
	*/
	public static native TQPixmap UserIcon(String name, TDEInstanceInterface instance);
	/**
		 {@link TDEIconLoader}
		 Load a user icon, and apply the effects to get an IconSet.
		 		@short    {@link TDEIconLoader}  Load a user icon, and apply the effects to get an IconSet.
	*/
	public static native TQIconSet UserIconSet(String name, TDEInstanceInterface instance);
	public static native TQIconSet UserIconSet(String name);
	/**
		 {@link TDEIconLoader}
		 Returns the current icon size for a specific group.
		 		@short    {@link TDEIconLoader}  Returns the current icon size for a specific group.
	*/
	public static native int IconSize(int group, TDEInstanceInterface instance);
	public static native int IconSize(int group);
	/**
		 \addtogroup locates Locate Functions
		  @{
		 On The Usage Of 'locate' and 'locateLocal'
			 Typical TDE applications use resource files in one out of
		 three ways:
			 1) A resource file is read but is never written. A system
		    default is supplied but the user can override this
		    default in his local .kde directory:
			    <pre>
		    // Code example
		    myFile = locate("appdata", "groups.lst");
		    myData =  myReadGroups(myFile); // myFile may be null
		    </pre>
			 2) A resource file is read and written. If the user has no
		    local version of the file the system default is used.
		    The resource file is always written to the users local
		    .kde directory.
			    <pre>
		    // Code example
		    myFile = locate("appdata", "groups.lst")
		    myData =  myReadGroups(myFile);
		    ...
		    doSomething(myData);
		    ...
		    myFile = locateLocal("appdata", "groups.lst");
		    myWriteGroups(myFile, myData);
		    </pre>
			 3) A resource file is read and written. No system default
		    is used if the user has no local version of the file.
		    The resource file is always written to the users local
		    .kde directory.
			    <pre>
		    // Code example
		    myFile = locateLocal("appdata", "groups.lst");
		    myData =  myReadGroups(myFile);
		    ...
		    doSomething(myData);
		    ...
		    myFile = locateLocal("appdata", "groups.lst");
		    myWriteGroups(myFile, myData);
		    </pre>
				@short    \addtogroup locates Locate Functions   @{  On The Usage Of 'locate' and 'locateLocal'
	*/
	public static native String locate(String type, String filename, TDEInstanceInterface instance);
	public static native String locate(String type, String filename);
	public static native String locateLocal(String type, String filename, TDEInstanceInterface instance);
	public static native String locateLocal(String type, String filename);
	public static native String locateLocal(String type, String filename, boolean createDir, TDEInstanceInterface instance);
	public static native String locateLocal(String type, String filename, boolean createDir);
	public static native int op_incr(int group);
	public static native int op_incr(int group, int arg2);
	public static native TQDataStream op_write(TQDataStream s, int p);
	public static native TQDataStream op_read(TQDataStream s, int p);
	/**
		 {@link TDEStyle}
		 <code>#include</code> <code>&lt;kdrawutil.h&gt;</code>
			 Draws a Next-style button (solid black shadow with light and midlight highlight).
			@param p The painter to use for drawing the button.
			@param r Specifies the rect in which to draw the button.
			@param g Specifies the shading colors.
			@param sunken Whether to draw the button as sunken (pressed) or not.
			@param fill The brush to use for filling the interior of the button.
		                Pass <b>null</b> to prevent the button from being filled.
		 		@short    {@link TDEStyle}  @c \#include @c <kdrawutil.
	*/
	public static native void kDrawNextButton(TQPainter p, TQRect r, TQColorGroup g, boolean sunken, TQBrush fill);
	public static native void kDrawNextButton(TQPainter p, TQRect r, TQColorGroup g, boolean sunken);
	public static native void kDrawNextButton(TQPainter p, TQRect r, TQColorGroup g);
	/**
		 {@link TDEStyle}
		 @overload
		 		@short    {@link TDEStyle}  @overload
	*/
	public static native void kDrawNextButton(TQPainter p, int x, int y, int w, int h, TQColorGroup g, boolean sunken, TQBrush fill);
	public static native void kDrawNextButton(TQPainter p, int x, int y, int w, int h, TQColorGroup g, boolean sunken);
	public static native void kDrawNextButton(TQPainter p, int x, int y, int w, int h, TQColorGroup g);
	/**
		 {@link TDEStyle}
		 <code>#include</code> <code>&lt;kdrawutil.h&gt;</code>
			 Draws a Be-style button.
			@param p The painter to use for drawing the button.
			@param r Specifies the rect in which to draw the button.
			@param g Specifies the shading colors.
			@param sunken Whether to draw the button as sunken (pressed) or not.
			@param fill The brush to use for filling the interior of the button.
		                Pass <b>null</b> to prevent the button from being filled.
		 		@short    {@link TDEStyle}  @c \#include @c <kdrawutil.
	*/
	public static native void kDrawBeButton(TQPainter p, TQRect r, TQColorGroup g, boolean sunken, TQBrush fill);
	public static native void kDrawBeButton(TQPainter p, TQRect r, TQColorGroup g, boolean sunken);
	public static native void kDrawBeButton(TQPainter p, TQRect r, TQColorGroup g);
	/**
		 {@link TDEStyle}
		 <code>#include</code> <code>&lt;kdrawutil.h&gt;</code>
		 @overload
		 		@short    {@link TDEStyle}  @c \#include @c <kdrawutil.
	*/
	public static native void kDrawBeButton(TQPainter p, int x, int y, int w, int h, TQColorGroup g, boolean sunken, TQBrush fill);
	public static native void kDrawBeButton(TQPainter p, int x, int y, int w, int h, TQColorGroup g, boolean sunken);
	public static native void kDrawBeButton(TQPainter p, int x, int y, int w, int h, TQColorGroup g);
	/**
		 {@link TDEStyle}
		 <code>#include</code> <code>&lt;kdrawutil.h&gt;</code>
			 Draws a rounded oval button. This function doesn't fill the button.
		 See kRoundMaskRegion() for setting masks for fills.
			@param p The painter to use for drawing the button.
			@param r Specifies the rect in which to draw the button.
			@param g Specifies the shading colors.
			@param sunken Whether to draw the button as sunken (pressed) or not.
		 		@short    {@link TDEStyle}  @c \#include @c <kdrawutil.
	*/
	public static native void kDrawRoundButton(TQPainter p, TQRect r, TQColorGroup g, boolean sunken);
	public static native void kDrawRoundButton(TQPainter p, TQRect r, TQColorGroup g);
	/**
		 {@link TDEStyle}
		 @overload
		 		@short    {@link TDEStyle}  @overload
	*/
	public static native void kDrawRoundButton(TQPainter p, int x, int y, int w, int h, TQColorGroup g, boolean sunken);
	public static native void kDrawRoundButton(TQPainter p, int x, int y, int w, int h, TQColorGroup g);
	/**
		 {@link TDEStyle}
		 <code>#include</code> <code>&lt;kdrawutil.h&gt;</code>
			 Sets a region to the pixels covered by a round button of the given
		 size. You can use this to set clipping regions.
			@param r Reference to the region to set.
			@param x The X coordinate of the button.
			@param y The Y coordinate of the button.
			@param w The width of the button.
			@param h The height of the button.
				@short    {@link TDEStyle}  @c \#include @c <kdrawutil.
		@see #kDrawRoundButton
		@see #kDrawRoundMask
	*/
	public static native void kRoundMaskRegion(TQRegion r, int x, int y, int w, int h);
	/**
		 {@link TDEStyle}
		 <code>#include</code> <code>&lt;kdrawutil.h&gt;</code>
			 Paints the pixels covered by a round button of the given size with
		 Qt.color1. This function is useful in TQStyle.drawControlMask().
			@param p The painter to use for drawing the button.
			@param x The X coordinate of the button.
			@param y The Y coordinate of the button.
			@param w The width of the button.
			@param h The height of the button.
			@param clear Whether to clear the rectangle specified by <code></code>(x, y, w, h) to
		               Qt.color0 before drawing the mask.
		 		@short    {@link TDEStyle}  @c \#include @c <kdrawutil.
	*/
	public static native void kDrawRoundMask(TQPainter p, int x, int y, int w, int h, boolean clear);
	public static native void kDrawRoundMask(TQPainter p, int x, int y, int w, int h);
	/**
		 {@link TDEStyle}
		 <code>#include</code> <code>&lt;kdrawutil.h&gt;</code>
			 Paints the provided bitmaps in the painter, using the supplied colorgroup for
		 the foreground colors. There's one bitmap for each color. If you want to skip
		 a color, pass <b>null</b> for the corresponding bitmap.
			 @note The bitmaps will be self-masked automatically if not masked
		       prior to calling this routine.
			@param p The painter to use for drawing the bitmaps.
			@param g Specifies the shading colors.
			@param x The X coordinate at which to draw the bitmaps.
			@param y The Y coordinate at which to draw the bitmaps.
			@param lightColor The bitmap to use for the light part.
			@param midColor The bitmap to use for the mid part.
			@param midlightColor The bitmap to use for the midlight part.
			@param darkColor The bitmap to use for the dark part.
			@param blackColor The bitmap to use for the black part.
			@param whiteColor The bitmap to use for the white part.
				@short    {@link TDEStyle}  @c \#include @c <kdrawutil.
		@see org.trinitydesktop.qt.TQColorGroup
	*/
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, TQBitmap lightColor, TQBitmap midColor, TQBitmap midlightColor, TQBitmap darkColor, TQBitmap blackColor, TQBitmap whiteColor);
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, TQBitmap lightColor, TQBitmap midColor, TQBitmap midlightColor, TQBitmap darkColor, TQBitmap blackColor);
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, TQBitmap lightColor, TQBitmap midColor, TQBitmap midlightColor, TQBitmap darkColor);
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, TQBitmap lightColor, TQBitmap midColor, TQBitmap midlightColor);
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, TQBitmap lightColor, TQBitmap midColor);
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, TQBitmap lightColor);
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y);
	/**
		 {@link TDEStyle}
		 <code>#include</code> <code>&lt;kdrawutil.h&gt;</code>
		 @overload
		 		@short    {@link TDEStyle}  @c \#include @c <kdrawutil.
	*/
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, int w, int h, boolean isXBitmaps, char[] lightColor, char[] midColor, char[] midlightColor, char[] darkColor, char[] blackColor, char[] whiteColor);
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, int w, int h, boolean isXBitmaps, char[] lightColor, char[] midColor, char[] midlightColor, char[] darkColor, char[] blackColor);
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, int w, int h, boolean isXBitmaps, char[] lightColor, char[] midColor, char[] midlightColor, char[] darkColor);
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, int w, int h, boolean isXBitmaps, char[] lightColor, char[] midColor, char[] midlightColor);
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, int w, int h, boolean isXBitmaps, char[] lightColor, char[] midColor);
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, int w, int h, boolean isXBitmaps, char[] lightColor);
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, int w, int h, boolean isXBitmaps);
	public static native void kColorBitmaps(TQPainter p, TQColorGroup g, int x, int y, int w, int h);
	/**
		 compares two KEntryKeys (needed for TQMap).
			 		@short    compares two KEntryKeys (needed for TQMap).
	*/
	public static native boolean op_lt(KEntryKey k1, KEntryKey k2);
	// const char* dcopTypeName(const DCOPArg& arg1); >>>> NOT CONVERTED
	// TQDataStream& op_write(TQDataStream& arg1,const DCOPArg& arg2); >>>> NOT CONVERTED
	// TQDataStream& op_write(TQDataStream& arg1,const DCOPRef& arg2); >>>> NOT CONVERTED
	// TQDataStream& op_read(TQDataStream& arg1,DCOPRef& arg2); >>>> NOT CONVERTED
	public static native TQDataStream op_write(TQDataStream s, KFileMetaInfoItem arg2);
	public static native TQDataStream op_read(TQDataStream s, KFileMetaInfoItem arg2);
	public static native TQDataStream op_write(TQDataStream s, KFileMetaInfoGroup arg2);
	public static native TQDataStream op_read(TQDataStream s, KFileMetaInfoGroup arg2);
	public static native TQDataStream op_write(TQDataStream s, KFileMetaInfo arg2);
	public static native TQDataStream op_read(TQDataStream s, KFileMetaInfo arg2);
	// TQDataStream& op_read(TQDataStream& arg1,TDEIO::UDSAtom& arg2); >>>> NOT CONVERTED
	// TQDataStream& op_write(TQDataStream& arg1,const TDEIO::UDSAtom& arg2); >>>> NOT CONVERTED
	// TQDataStream& op_write(TQDataStream& arg1,const TDEIO::UDSEntry& arg2); >>>> NOT CONVERTED
	// TQDataStream& op_read(TQDataStream& arg1,TDEIO::UDSEntry& arg2); >>>> NOT CONVERTED
}
