//Auto-generated by kalyptus. DO NOT EDIT.
package org.trinitydesktop.koala;

import org.trinitydesktop.qt.Qt;
import org.trinitydesktop.qt.QtSupport;
import org.trinitydesktop.qt.TQFile;

/**

 Class for KDE INI-style configuration file loading/saving.
		@author Preston Brown <pbrown@kde.org>,
         Matthias Kalle Dalheimer <kalle@kde.org>

		@short    Class for KDE INI-style configuration file loading/saving.

*/
public class TDEConfigINIBackEnd extends TDEConfigBackEnd  {
	protected TDEConfigINIBackEnd(Class dummy){super((Class) null);}
	/**
		 Constructs an ini-style configuration back end.
			@param _config Specifies the configuration object which values
		        will be passed to as they are read, or from where values
		        to be written to will be obtained from.
			@param _fileName The name of the file in which config
		        data is stored.  All registered configuration directories
		        will be looked in in order of decreasing relevance.
			@param _resType the resource type of the fileName specified, _if_
		        it is not an absolute path (otherwise this parameter is ignored).
			@param _useKDEGlobals If true, the user's system-wide kdeglobals file
		        will be imported into the config object.  If false, only
		        the filename specified will be dealt with.
		   		@short    Constructs an ini-style configuration back end.
	*/
	public TDEConfigINIBackEnd(TDEConfigBase _config, String _fileName, String _resType, boolean _useKDEGlobals) {
		super((Class) null);
		newTDEConfigINIBackEnd(_config,_fileName,_resType,_useKDEGlobals);
	}
	private native void newTDEConfigINIBackEnd(TDEConfigBase _config, String _fileName, String _resType, boolean _useKDEGlobals);
	public TDEConfigINIBackEnd(TDEConfigBase _config, String _fileName, String _resType) {
		super((Class) null);
		newTDEConfigINIBackEnd(_config,_fileName,_resType);
	}
	private native void newTDEConfigINIBackEnd(TDEConfigBase _config, String _fileName, String _resType);
	/**
		 Parses all INI-style configuration files for a config object.
				@return Whether or not parsing was successful.

		@short    Parses all INI-style configuration files for a config object.
	*/
	public native boolean parseConfigFiles();
	/**
		 Writes configuration data to file(s).
			@param bMerge Specifies whether the old config file already
		        on disk should be merged in with the data in memory.  If true,
		        data is read off the disk and merged.  If false, the on-disk
		        file is removed and only in-memory data is written out.
		   		@short    Writes configuration data to file(s).
	*/
	public native void sync(boolean bMerge);
	public native void sync();
	/**
		 Parses one configuration file.
			@param rFile The configuration file to parse
			@param pWriteBackMap If specified, points to a KEntryMap where
		        the data read from the file should be stored, instead of
		        inserting them directly into the configuration object.
		        Use this area as a "scratchpad" when you need to know what is
		        on disk but don't want to effect the configuration object.
			@param bGlobal Specifies whether entries should be marked as
		        belonging to the global KDE configuration file rather
		        than the application-specific KDE configuration file(s).
			@param bDefault Specifies whether entries should be marked as
		        being default values.
		   		@short    Parses one configuration file.
	*/
	// void parseSingleConfigFile(TQFile& arg1,KEntryMap* arg2,bool arg3,bool arg4); >>>> NOT CONVERTED
	// void parseSingleConfigFile(TQFile& arg1,KEntryMap* arg2,bool arg3); >>>> NOT CONVERTED
	// void parseSingleConfigFile(TQFile& arg1,KEntryMap* arg2); >>>> NOT CONVERTED
	protected native void parseSingleConfigFile(TQFile rFile);
	/**
		 Writes configuration file back.
			@param filename The name of the file to write.
			@param bGlobal Specifies whether to write only entries which
		        are marked as belonging to the global KDE config file.
		        If this is false, it skips those entries.
			@param bMerge Specifies whether the old config file already
		        on disk should be merged in with the data in memory.  If true,
		        data is read off the disk and merged.  If false, the on-disk
		        file is removed and only in-memory data is written out.
				@return Whether some entries are left to be written to other
         files.

		@short    Writes configuration file back.
	*/
	protected native boolean writeConfigFile(String filename, boolean bGlobal, boolean bMerge);
	protected native boolean writeConfigFile(String filename, boolean bGlobal);
	protected native boolean writeConfigFile(String filename);
	/**	 Get the entry map.
			@param map the entries will be stored in this object.
			@param bGlobal Specifies whether to get only entries which
		        are marked as belonging to the global KDE config file.
		        If this is false, it skips those entries.
			@param mergeFile if not null, the dirty entries for this file will
		 be merged.
				@return Whether there will be some entries left for writing to other
 files.

		@short   Get the entry map.
	*/
	// bool getEntryMap(KEntryMap& arg1,bool arg2,TQFile* arg3); >>>> NOT CONVERTED
	/** Deletes the wrapped C++ instance */
	protected native void finalize() throws InternalError;
	/** Delete the wrapped C++ instance ahead of finalize() */
	public native void dispose();
	/** Has the wrapped C++ instance been deleted? */
	public native boolean isDisposed();
}
